Bug 12593 - Inode errors when exporting mounted ncpfs filesystem
Summary: Inode errors when exporting mounted ncpfs filesystem
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-19 17:09 UTC by john.peedle
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-03 17:02:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description john.peedle 2000-06-19 17:09:06 UTC
Problem:   syslog reports inode not found errors

Scenario:  We need to give access to files stored on a NetWare server to
several Solaris 2.7 servers. We cannot change the NetWare servers in any
way which precludes installing NetWare NFS. NetWare is v4.11. Proposed
solution was to mount the NetWare volumes on a Linux machine and export
them via NFS. Sun systems will then mount exported NFS shares. All appears
well until the Sun systems need to access a file after initial cataloging
of the directory. We then see large numbers of 'Inode not found' messages
in the Linux syslog, the desired file has no file information associated
with it (ls -al fails) and the Sun Server cannot open the file.

Comment 1 Bill Nottingham 2000-07-03 17:02:00 UTC
Reassigned to kernel; that's where the filesystem is actually implemented.

Comment 2 Alan Cox 2000-08-08 22:05:26 UTC
Importing via NCPfs and exporting via NFS isnt possible to do a lack of stable
inode handles.



Note You need to log in before you can comment on or make changes to this bug.